
#pragma once

#include "ActorInterface.h"
#include "WASCommand.h"
#include "WASActor.h"

class CWASCheckUpNotice : public CWASCommand
{
public:
	CWASCheckUpNotice(CWASActor *pActor);
	~CWASCheckUpNotice(void);

	void SetParameter( LPCWSTR strURL)
	{
		m_strURL = strURL;
	}
	void ExecuteAsync(void);

private:
	bool ParseAndEventFire(Json::Value * json);

protected:
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		Json::Value * /*json*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:

	LPCWSTR m_strServiceID;

	WSTRING m_strResponseMsg;
	CheckUpNoticeData m_checkUpNotice;
	int					m_nErrorCode;
	bool m_bNewNotice;
	WSTRING m_strURL;
};
